# Run time expensive tests
%bcond_without long_tests
# Run optional test
%bcond_with perl_IO_Compress_enables_optional_test

%{?perl_default_filter}

Name:           perl-IO-Compress
Version:        2.081
Release:        6
Summary:        Read and write compressed data
License:        GPL+ or Artistic
URL:            https://metacpan.org/release/IO-Compress
Source0:        https://cpan.metacpan.org/authors/id/P/PM/PMQS/IO-Compress-%{version}.tar.gz
BuildArch:      noarch
# Module Build
BuildRequires:  coreutils findutils make perl-generators perl-interpreter
BuildRequires:  perl(Config) perl(File::Copy) perl(File::Spec::Functions)
BuildRequires:  perl(ExtUtils::MakeMaker) >= 5.16

# Module Runtime
BuildRequires:  perl(bytes) perl(Carp) perl(constant) perl(Encode) perl(Exporter) perl(Fcntl)
BuildRequires:  perl(Compress::Raw::Bzip2) >= %{version}
BuildRequires:  perl(Compress::Raw::Zlib) >= %{version}
BuildRequires:  perl(File::Glob) perl(File::Spec) perl(IO::File) perl(IO::Handle) perl(List::Util)
BuildRequires:  perl(POSIX) perl(Scalar::Util) perl(strict) perl(Symbol) perl(utf8) perl(warnings)

# Test Suite
BuildRequires:  perl(File::Path) perl(lib) perl(threads::shared)
%if %{with perl_IO_Compress_enables_optional_test}
# Optional Tests
BuildRequires:  perl(File::Temp) perl(overload)
# Dual-lived module needs building early in the boot process
%if !%{defined perl_bootstrap}
BuildRequires:  perl(Test::NoWarnings)
BuildRequires:  perl(Test::Pod) >= 1.00
%endif
%endif
# Runtime
Requires:       perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))
Requires:       perl(File::Glob)

# This is wrapper for different Compress modules
Provides:       perl-Compress-Zlib = %{version}-%{release}
Provides:       perl-IO-Compress-Base = %{version}-%{release}
Provides:       perl-IO-Compress-Bzip2 = %{version}-%{release}
Provides:       perl-IO-Compress-Zlib = %{version}-%{release}

%description
This distribution provides a Perl interface to allow reading and writing of
compressed data created with the zlib and bzip2 libraries.

IO-Compress supports reading and writing of bzip2, RFC 1950, RFC 1951,
RFC 1952 (i.e. gzip) and zip files/buffers.

The following modules used to be distributed separately, but are now
included with the IO-Compress distribution:
    Compress-Zlib
    IO-Compress-Zlib
    IO-Compress-Bzip2
    IO-Compress-Base

%package        help
Summary:        Documents for perl-IO-Compress
Buildarch:      noarch

%description    help
Man pages and other related documents.

%prep
%setup -q -n IO-Compress-%{version}

# Remove spurious exec permissions
chmod -c -x lib/IO/Uncompress/{Adapter/Identity,RawInflate}.pm
find examples -type f -exec chmod -c -x {} \;

# Fix shellbangs in examples
perl -MConfig -pi -e 's|^#!/usr/local/bin/perl\b|$Config{startperl}|' examples/io/anycat \
        examples/io/bzip2/* examples/io/gzip/* examples/compress-zlib/*

%build
perl Makefile.PL
%make_build

%install
make pure_install DESTDIR=%{buildroot} INSTALLDIRS=perl
find %{buildroot} -type f -name .packlist -delete
%{_fixperms} -c %{buildroot}

%check
# Build using "--without long_tests" to avoid very long tests
make test COMPRESS_ZLIB_RUN_%{?with_long_tests:ALL}%{!?with_long_tests:MOST}=1

%files
%{_bindir}/zipdetails
%{perl_privlib}/Compress/
%{perl_privlib}/File/
%{perl_privlib}/IO/Compress/
%{perl_privlib}/IO/Uncompress/

%files help
%doc Changes README examples/*
%{_mandir}/man1/zipdetails.1*
%{_mandir}/man3/Compress::Zlib.3*
%{_mandir}/man3/File::GlobMapper.3*
%{_mandir}/man3/IO::Compress::*.3*
%{_mandir}/man3/IO::Uncompress::*.3*

%changelog
* Tue Sep 17 2019 openEuler Buildteam <buildteam@openeuler.org> - 2.081-6
- Package init
